org.red5.server.api.stream

## Interface IStreamAwareScopeHandler

All Superinterfaces:
  IEventHandler, IScopeHandler

All Known Implementing Classes:
  ApplicationAdapter, MultiThreadedApplicationAdapter

    public interface IStreamAwareScopeHandler
    extends IScopeHandler

A scope handler that is stream aware.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

### Method Summary

Methods
`void` `streamBroadcastClose(IBroadcastStream stream)` Notified when a broadcaster closes.
`void` `streamBroadcastStart(IBroadcastStream stream)` Notified when a broadcaster starts.
`void` `streamPlayItemPause(ISubscriberStream stream, IPlayItem item, int position)` Notified when a play item pauses.
`void` `streamPlayItemPlay(ISubscriberStream stream, IPlayItem item, boolean isLive)` Notified when a play item plays.
`void` `streamPlayItemResume(ISubscriberStream stream, IPlayItem item, int position)` Notified when a play item resumes.
`void` `streamPlayItemSeek(ISubscriberStream stream, IPlayItem item, int position)` Notified when a play item seeks.
`void` `streamPlayItemStop(ISubscriberStream stream, IPlayItem item)` Notified when a play item stops.
`void` `streamPublishStart(IBroadcastStream stream)` A broadcast stream starts being published.
`void` `streamRecordStart(IBroadcastStream stream)` A broadcast stream starts being recorded.
`void` `streamSubscriberClose(ISubscriberStream stream)` Notified when a subscriber closes.
`void` `streamSubscriberStart(ISubscriberStream stream)` Notified when a subscriber starts.

### Methods inherited from interface org.red5.server.api.scope.IScopeHandler

`addChildScope, connect, disconnect, join, leave, removeChildScope, serviceCall, start, stop`

### Methods inherited from interface org.red5.server.api.event.IEventHandler

`handleEvent`

### Method Detail

#### streamPublishStart

    void streamPublishStart(IBroadcastStream stream)

A broadcast stream starts being published. This will be called when the first video packet has been received.

Parameters:
  `stream` - stream

#### streamRecordStart

    void streamRecordStart(IBroadcastStream stream)

A broadcast stream starts being recorded. This will be called when the first video packet has been received.

Parameters:
  `stream` - stream

#### streamBroadcastStart

    void streamBroadcastStart(IBroadcastStream stream)

Notified when a broadcaster starts.

Parameters:
  `stream` - stream

#### streamBroadcastClose

    void streamBroadcastClose(IBroadcastStream stream)

Notified when a broadcaster closes.

Parameters:
  `stream` - stream

#### streamSubscriberStart

    void streamSubscriberStart(ISubscriberStream stream)

Notified when a subscriber starts.

Parameters:
  `stream` - stream

#### streamSubscriberClose

    void streamSubscriberClose(ISubscriberStream stream)

Notified when a subscriber closes.

Parameters:
  `stream` - stream

#### streamPlayItemPlay

    void streamPlayItemPlay(ISubscriberStream stream,
                          IPlayItem item,
                          boolean isLive)

Notified when a play item plays.

Parameters:
  `stream` - stream
  `item` - item
  `isLive` - true if live

#### streamPlayItemStop

    void streamPlayItemStop(ISubscriberStream stream,
                          IPlayItem item)

Notified when a play item stops.

Parameters:
  `stream` - stream
  `item` - item

#### streamPlayItemPause

    void streamPlayItemPause(ISubscriberStream stream,
                           IPlayItem item,
                           int position)

Notified when a play item pauses.

Parameters:
  `stream` - stream
  `item` - item
  `position` - position

#### streamPlayItemResume

    void streamPlayItemResume(ISubscriberStream stream,
                            IPlayItem item,
                            int position)

Notified when a play item resumes.

Parameters:
  `stream` - stream
  `item` - item
  `position` - position

#### streamPlayItemSeek

    void streamPlayItemSeek(ISubscriberStream stream,
                          IPlayItem item,
                          int position)

Notified when a play item seeks.

Parameters:
  `stream` - stream
  `item` - item
  `position` - position